%define        with_gcj 1
%define        javahome %{_jvmdir}/jdk
Name:          java-pentaho-reporting-flow-engine
Version:       0.9.4
Release:       1mamba
Summary:       Pentaho Flow Reporting Engine 
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://reporting.pentaho.org/
Source:        http://downloads.sourceforge.net/project/jfreereport/10.%20Flow%20Engine/0.9.4/flow-engine-0.9.4.zip
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: java-gcj-compat
BuildRequires: libgcc
BuildRequires: libgcj4-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: apache-ant
BuildRequires: jakarta-commons-logging
BuildRequires: java-flute
#BuildRequires: java-jcommon-serializer
BuildRequires: java-jfree-libbase
BuildRequires: java-jfree-libfonts
BuildRequires: java-jfree-liblayout
BuildRequires: java-jfree-librepository
BuildRequires: java-jfree-libformula
BuildRequires: java-jfree-libserializer
BuildRequires: java-sac
BuildRequires: java-jfree-libloader
BuildRequires: java-junit3
BuildRequires: java-pentaho-libxml
BuildRequires: jpackage-utils
BuildRequires: xml-commons-apis
Requires:      jakarta-commons-logging
Requires:      java-flute
Requires:      java-jfree-libbase
Requires:      java-jfree-libfonts
Requires:      java-jfree-liblayout
Requires:      java-jfree-librepository
Requires:      java-jfree-libformula
Requires:      java-jfree-libserializer
Requires:      java-sac
Requires:      java-jfree-libloader
Requires:      java-pentaho-libxml
Requires:      jpackage-utils
Provides:      jfreereport = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Pentaho Reporting Flow Engine is a free Java report library, formerly known as "JFreeReport" 

%if %with_gcj
%package gcj
Group:         System/Libraries/Java
Summary:       GCJ support for %{name}
Requires:      java-gcj-compat

%description gcj
Pentaho Reporting Flow Engine is a free Java report library, formerly known as "JFreeReport"

This package contains GCJ support for %{name}.
%endif

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
Pentaho Reporting Flow Engine is a free Java report library, formerly known as "JFreeReport" 

This package contains documentation for %{name}.

%prep
%setup -q -c %{name}-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for txt in ChangeLog.txt licence-LGPL.txt README.txt; do
  %{__perl} -pi -e 's/\r$//g' $txt
done

mkdir -p lib
ln -sf $(build-classpath commons-logging-api) lib/
ln -sf $(build-classpath libbase) lib/
ln -sf $(build-classpath libfonts) lib/
ln -sf $(build-classpath librepository) lib/
ln -sf $(build-classpath liblayout) lib/
ln -sf $(build-classpath libformula) lib/
ln -sf $(build-classpath libserializer) lib/
ln -sf $(build-classpath sac) lib/
ln -sf $(build-classpath flute) lib/
#ln -sf $(build-classpath jcommon-serializer) lib/
ln -sf $(build-classpath libbase) lib/
ln -sf $(build-classpath libloader) lib/
ln -sf $(build-classpath libxml) lib/
ln -sf $(build-classpath xml-commons-apis) lib/

%build
unset JAVA_HOME
export JAVA_HOME=%{javahome}
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath flute librepository libserializer libxml libbase)
CLASSPATH=$CLASSPATH:$(build-classpath libformula liblayout libfonts libloader sac xml-commons-apis)
CLASSPATH=$CLASSPATH:$(build-classpath commons-logging commons-logging-api junit-3.8.2)
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 build/lib/flow-engine.jar %{buildroot}%{_javadir}/flow-engine-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/pentaho-reporting-flow-engine
cp -pr build/api/* %{buildroot}%{_javadocdir}/pentaho-reporting-flow-engine

%if %with_gcj
%{_bindir}/aot-compile-rpm
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/flow-engine-%{version}.jar
%{_javadir}/flow-engine.jar
%doc ChangeLog.txt licence-LGPL.txt README.txt

%if %with_gcj
%post gcj
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
  %{_bindir}/rebuild-gcj-db
fi

%postun gcj
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
   %{_bindir}/rebuild-gcj-db
fi

%files gcj
%defattr(-,root,root)
%{_libdir}/gcj/java-pentaho-reporting-flow-engine/flow-engine-%{version}.jar.db
%{_libdir}/gcj/java-pentaho-reporting-flow-engine/flow-engine-%{version}.jar.so
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/pentaho-reporting-flow-engine

%changelog
* Sat Jan 22 2011 gil <puntogil@libero.it> 0.9.4-1mamba
- update to 0.9.4

* Wed Dec 09 2009 gil <puntogil@libero.it> 0.9.2-1mamba
- package created by autospec
